curl --request GET \
--url https://app.leadconduit.com/routers/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://app.leadconduit.com/routers/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://app.leadconduit.com/routers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "5fd4371e940df5a34a3888b2",
"module_id": "leadconduit-salesforce.outbound.create_contact",
"routes": [
{
"id": "1aacd0",
"flow_id": "5fd4371e940df5a34a3888b2",
"source_id": "5fd4371e940df5a34a3888b2",
"rule_set": {
"op": "and",
"rules": [
{
"lhv": "lead.state",
"op": "is equal to",
"rhv": "TX",
"id": "1aacd0",
"rule_set": "<unknown>"
}
],
"id": "0d144a"
}
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Get a router
Fetch a single router.
Authorizations
LeadConduit uses HTTP Basic Authentication
with the username API and your API key as the password.
For example: API:1f1b96c9150d8050e858c043d543bb4eadae0e6f'
Path Parameters
The ID of the router 24 character alpha-numeric BSON identifier
^[0-9a-fA-F]{24}$"5fd4371e940df5a34a3888b2"
Response
OK
A router is a single lead-submission endpoint that's able to distribute lead submissions to any one of an account's various Flows, based on evaluation of rules.
The rules of every route are evaluated against the lead, and the last route that matches selects the Flow and Source.
Only one Router for a given integration module-id should exist in an account.
ID of this router
^[0-9a-fA-F]{24}$"5fd4371e940df5a34a3888b2"
The unique identifier of the integration module
"leadconduit-salesforce.outbound.create_contact"
The routes to be evaluated by this router
Show child attributes
Show child attributes